Equisys Technical Notes

Technical guidance, explanations and fixes for our products

PRB: Can not run Zetafax Update Service, get message that JavaScript is disabled.

Print

ZTN1478

ID: ZTN1478

This Zetafax technical note applies to:

  • Zetafax Server 9.1 and higher
  • Internet Explorer 4x, 5, 6

Symptom

When attempting to update the Zetafax server using Check for updates, from the help menu, an Internet Explorer page is opened, and displays the following message:

  'Your current browser security settings prevent the proper operations of the update service. Please enable JavaScript in your browser through the Internet Options menu options of the Tools menu. Then, check-for-updates again.'

Cause

Some malicious code can take advantage of flaws in Internet Explorer Active Scripting, due to this you may find that the security level of the Internet Zone is set to High, or a higher level. It can also occur when the options Run ActiveX controls and plug-ins and/or Active scripting have been disabled in the Internet zone.

Resolution

The update service requires active scripting to function, but rather than allow all websites to run JavaScript, you should add the update service website to your Trusted Sites zone, then ensure that this zone is able to run the script.

You will firstly need to add http://updates.installshield.com to your Trusted Sites zone.

To add to the Trusted Sites zone:

  • In Internet Explorer 4.x, click Internet Options on the View menu.

In Internet Explorer 5 and 6, click Internet Options on the Tools menu.

  • Click the Security tab, click Trusted sites, and then click Sites.
  • Make sure that the Require server verification (https:) for all sites in this zone is not checked.
  • In the Add this Web site to the zone box, type http://updates.installshield.com, and then click Add.
  • Click Close.

You then need to ensure that your security level of trusted sites is set to allow the update service to run, you can alter the security level setting by reducing it to at least Medium, or customise the Internet security zone.

To customise security options:

  • In Internet Explorer 4.x, click Internet Options on the View menu.

In Internet Explorer 5 and 6, click Internet Options on the Tools menu.

  • On the Security tab, click the Trusted Sites zone in the Zone box.
  • Click Custom (For Expert Users), and then click Settings.

    In Internet Explorer 5 and 6, click Custom Level.
  • Scroll through the list of options and set Run ActiveX controls and plug-ins to enable, also either enable Active scripting, or set it to prompt.
  • Once these options have been set, click OK, and then click OK again.
  • Close Internet Explorer and re-try the Check for updates option in Zetafax

Status

This has been identified by Equisys as a problem with the software versions given above.

Last updated: 4 July 2005 (MS/EB/SV/DH)

Keywords: automatic update, JavaScript enable, security setting

EquisysLogo

Recent news

This article describes the new features and other improvements in the August 2019 release of the Zetadocs Expenses service. Zetadocs Expenses ...

This article describes the new features and other improvements in the latest release of Zetafax. This improves support for using Fax over IP (FoIP) with SIP trunks and public SIP fax services, ...